Defines | Typedefs | Enumerations | Functions

# log.h File Reference

`#include <stdarg.h>`
`#include "wizard/exception.h"`
`#include "wizard/timer.h"`

Go to the source code of this file.

## Defines
#define | GetWizardModule() __FILE__,__func__,(unsigned long) __LINE__
#define | WizardLogFilename "log.xml"
## Typedefs
typedef struct _LogInfo | LogInfo
## Enumerations
enum | LogEventType { UndefinedEvents, NoEvents = 0x0000, TraceEvent = 0x0001, AnnotateEvent = 0x0002, BlobEvent = 0x0004, CacheEvent = 0x0008, CoderEvent = 0x0010, ConfigureEvent = 0x0020, DeprecateEvent = 0x0040, ExceptionEvent = 0x0080, LocaleEvent = 0x0100, ModuleEvent = 0x0200, ResourceEvent = 0x0400, TransformEvent = 0x0800, WarningEvent = 0x1000, UserEvent = 0x2000, AllEvents = 0x7fffffff }
## Functions
WizardExport char ** | GetLogList (const char *, size_t *, ExceptionInfo *)
WizardExport const LogInfo * | GetLogInfo (const char *, ExceptionInfo *)
WizardExport const LogInfo *** | GetLogInfoList (const char *, size_t *, ExceptionInfo *)
WizardExport LogEventType | SetLogEventMask (const char *)
WizardExport WizardBooleanType | IsEventLogging (void)
WizardExport WizardBooleanType | ListLogInfo (FILE *, ExceptionInfo *)
WizardExport WizardBooleanType | LogComponentGenesis (void)
WizardExport WizardBooleanType | LogWizardEvent (const LogEventType, const char *, const char *, const size_t, const char *,...) wizard_attribute((format(printf
WizardExport WizardBooleanType | LogWizardEventList (const LogEventType, const char *, const char *, const size_t, const char *, va_list) wizard_attribute((format(printf
WizardExport WizardBooleanType WizardExport void | CloseWizardLog (void)
WizardExport WizardBooleanType WizardExport void | LogComponentTerminus (void)
WizardExport WizardBooleanType WizardExport void | SetLogFormat (const char *)
WizardExport WizardBooleanType WizardExport void | SetLogPreamble (const char *)

## Define Documentation

#define GetWizardModule | ( |  | ) | __FILE__,__func__,(unsigned long) __LINE__

Referenced by AcquireFileInfo(), AcquireFileLock(), AcquireUniqueFilename(), AcquireUniqueFileResource(), AcquireWizardResource(), AddPathToXMLTree(), AppendFileExtension(), AppendValueToLinkedList(), AttachBlob(), AuthenticateKey(), AuthenticateSecretKey(), Base64Decode(), Base64Encode(), ClearLinkedList(), CloneSplayTree(), CloneString(), CloneStringInfo(), CloseBlob(), CompareStringInfo(), ConcatenateStringInfo(), ConstructHMAC(), DecipherCBCMode(), DecipherCFBMode(), DecipherCipher(), DecipherCTRMode(), DecipherECBMode(), DecipherOFBMode(), DeleteNodeByValueFromSplayTree(), DeleteNodeFromSplayTree(), DestroyAESInfo(), DestroyAuthenticateInfo(), DestroyBlob(), DestroyBZIPInfo(), DestroyCipherInfo(), DestroyConfigureOptions(), DestroyCRC64Info(), DestroyEntropyInfo(), DestroyFile(), DestroyFileInfo(), DestroyHashInfo(), DestroyHashmap(), DestroyHMACInfo(), DestroyKeyInfo(), DestroyKeyringInfo(), DestroyLinkedList(), DestroyLZMAInfo(), DestroyMD5Info(), DestroyRandomInfo(), DestroySecretInfo(), DestroySerpentInfo(), DestroySHA1Info(), DestroySHA224Info(), DestroySHA256Info(), DestroySHA384Info(), DestroySHA512Info(), DestroyStringInfo(), DestroyTwofishInfo(), DestroyXMLTree(), DestroyZIPInfo(), DetachBlob(), EncipherCBCMode(), EncipherCFBMode(), EncipherCipher(), EncipherCTRMode(), EncipherECBMode(), EncipherOFBMode(), EOFBlob(), ExportKeyringKey(), FileToBlob(), FileToString(), FileToStringInfo(), FinalizeCRC64(), FinalizeHash(), FinalizeHMAC(), FinalizeMD5(), FinalizeSHA1(), FinalizeSHA224(), FinalizeSHA256(), FinalizeSHA384(), FinalizeSHA512(), GenerateAuthenticateKey(), GenerateCipherNonce(), GenerateEntropicChaos(), GenerateSecretKey(), GenerateSessionKey(), GetAESBlocksize(), GetAuthenticateId(), GetAuthenticateKey(), GetAuthenticateKeyLength(), GetAuthenticatePassphrase(), GetBlobFilename(), GetBlobProperties(), GetBlobSize(), GetBZIPChaos(), GetCipherBlocksize(), GetCipherNonce(), GetConfigureInfo(), GetConfigureInfoList(), GetConfigureList(), GetConfigureOptions(), GetConfigurePaths(), GetConfigureValue(), GetCRC64Blocksize(), GetCRC64CyclicRedundancyCheck(), GetCRC64Digest(), GetCRC64Digestsize(), GetEntropyChaos(), GetEntropyFromReservoir(), GetFileDescriptor(), GetFilePath(), GetFileProperties(), GetHashBlocksize(), GetHashDigest(), GetHashDigestsize(), GetHashHexDigest(), GetHMACDigest(), GetHMACDigestsize(), GetKeyInfo(), GetKeyringKey(), GetKeyringNonce(), GetLastValueInLinkedList(), GetLogInfo(), GetLogInfoList(), GetLogList(), GetLZMAChaos(), GetMD5Blocksize(), GetMD5Digest(), GetMD5Digestsize(), GetMimeDescription(), GetMimeInfoList(), GetMimeList(), GetMimeType(), GetNextKeyInHashmap(), GetNextKeyInSplayTree(), GetNextValueInHashmap(), GetNextValueInLinkedList(), GetNextValueInSplayTree(), GetNextXMLTreeTag(), GetNumberOfElementsInLinkedList(), GetNumberOfEntriesInHashmap(), GetNumberOfNodesInSplayTree(), GetPassphrase(), GetPathComponent(), GetSecretId(), GetSecretKey(), GetSecretKeyLength(), GetSecretPassphrase(), GetSerpentBlocksize(), GetSHA1Blocksize(), GetSHA1Digest(), GetSHA1Digestsize(), GetSHA224Blocksize(), GetSHA224Digest(), GetSHA224Digestsize(), GetSHA256Blocksize(), GetSHA256Digest(), GetSHA256Digestsize(), GetSHA384Blocksize(), GetSHA384Digest(), GetSHA384Digestsize(), GetSHA512Blocksize(), GetSHA512Digest(), GetSHA512Digestsize(), GetStringInfoCRC(), GetTwofishBlocksize(), GetValueFromHashmap(), GetValueFromLinkedList(), GetValueFromSplayTree(), GetXMLTreeAttribute(), GetXMLTreeAttributes(), GetXMLTreeChild(), GetXMLTreeContent(), GetXMLTreeOrdered(), GetXMLTreePath(), GetXMLTreeProcessingInstructions(), GetXMLTreeSibling(), GetXMLTreeTag(), GetZIPChaos(), HexStringToStringInfo(), ImportKeyringKey(), IncreaseBZIP(), IncreaseEntropy(), IncreaseLZMA(), IncreaseZIP(), InitializeCRC64(), InitializeHash(), InitializeHMAC(), InitializeMD5(), InitializeSHA1(), InitializeSHA224(), InitializeSHA256(), InitializeSHA384(), InitializeSHA512(), InsertValueInLinkedList(), InsertValueInSortedLinkedList(), IsHashmapEmpty(), IsLinkedListEmpty(), LinkedListToArray(), LoadConfigureList(), LoadConfigureLists(), LoadLogList(), LoadLogLists(), LoadMimeList(), NewXMLTree(), OpenBlob(), ParseCloseTag(), ParseInternalDoctype(), PrintKeyringProperties(), PrintStringInfo(), PruneTagFromXMLTree(), PutEntryInHashmap(), ReadFileChunk(), RegisterWizardSignalHandler(), RelinquishFileLock(), RelinquishUniqueFileResource(), RelinquishWizardResource(), RemoveElementByValueFromLinkedList(), RemoveElementFromLinkedList(), RemoveEntryFromHashmap(), RemoveLastElementFromLinkedList(), RemoveNodeByValueFromSplayTree(), RemoveNodeFromSplayTree(), ResetCipherNonce(), ResetHashmapIterator(), ResetHMAC(), ResetLinkedListIterator(), ResetSplayTree(), ResetSplayTreeIterator(), ResetStringInfo(), RestoreBZIP(), RestoreEntropy(), RestoreLZMA(), RestoreZIP(), SaveEntropyToReservoir(), SetAESKey(), SetAuthenticateId(), SetAuthenticateKeyLength(), SetAuthenticatePassphrase(), SetCipherKey(), SetCipherNonce(), SetKeyInfo(), SetSecretKeyLength(), SetSerpentKey(), SetStringInfo(), SetStringInfoDatum(), SetStringInfoLength(), SetStringInfoPath(), SetTwofishKey(), SetXMLTreeAttribute(), SetXMLTreeContent(), SplitStringInfo(), StringToStringInfo(), SyncBlob(), TellBlob(), UpdateCRC64(), UpdateHash(), UpdateHMAC(), WriteFile32Bits(), WriteFile64Bits(), WriteFileChunk(), and XMLTreeInfoToXML().

#define WizardLogFilename "log.xml"

## Typedef Documentation

typedef struct _LogInfo LogInfo

## Enumeration Type Documentation

enum LogEventType

Enumerator:

  UndefinedEvents |
  NoEvents |
  TraceEvent |
  AnnotateEvent |
  BlobEvent |
  CacheEvent |
  CoderEvent |
  ConfigureEvent |
  DeprecateEvent |
  ExceptionEvent |
  LocaleEvent |
  ModuleEvent |
  ResourceEvent |
  TransformEvent |
  WarningEvent |
  UserEvent |
  AllEvents |

## Function Documentation

WizardExport WizardBooleanType WizardExport void CloseWizardLog | ( | void |  | ) |

WizardExport const LogInfo* GetLogInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const LogInfo* ** GetLogInfoList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireQuantumMemory(), GetLogInfo(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, GlobExpression(), LockSemaphoreInfo(), log_list, log_semaphore, LogInfoCompare(), LogWizardEvent(), _LogInfo::name, ResetLinkedListIterator(), _LogInfo::stealth, TraceEvent, UnlockSemaphoreInfo(), and WizardFalse.

Referenced by ListLogInfo().

WizardExport char** GetLogList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireQuantumMemory(), ConstantString(), GetLogInfo(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, GlobExpression(), LockSemaphoreInfo(), log_list, log_semaphore, LogCompare(), LogWizardEvent(), _LogInfo::name, ResetLinkedListIterator(), _LogInfo::stealth, TraceEvent, UnlockSemaphoreInfo(), and WizardFalse.

WizardExport WizardBooleanType IsEventLogging | ( | void |  | ) |

WizardExport WizardBooleanType ListLogInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType LogComponentGenesis | ( | void |  | ) |

WizardExport WizardBooleanType WizardExport void LogComponentTerminus | ( | void |  | ) |

WizardExport WizardBooleanType LogWizardEvent | ( | const | LogEventType,
|  | const char * | ,
|  | const char * | ,
|  | const | size_t,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

WizardExport WizardBooleanType LogWizardEventList | ( | const | LogEventType,
|  | const char * | ,
|  | const char * | ,
|  | const | size_t,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

WizardExport LogEventType SetLogEventMask | ( | const char * |  | ) |

References AcquireExceptionInfo(), DestroyExceptionInfo(), _LogInfo::event_mask, GetLogInfo(), GetValueFromLinkedList(), LockSemaphoreInfo(), log_list, log_semaphore, ParseWizardOption(), UnlockSemaphoreInfo(), WizardLogEventOptions, and WizardTrue.

Referenced by WizardsToolkitGenesis().

WizardExport WizardBooleanType WizardExport void SetLogFormat | ( | const char * |  | ) |

WizardExport WizardBooleanType WizardExport void SetLogPreamble | ( | const char * |  | ) |